xcmsSet {xcms} | R Documentation

## Constructor for xcmsSet objects which finds peaks in NetCDF/mzXML files

### Description

This function handles the construction of xcmsSet objects. It finds peaks in batch mode and pre-sorts files from subdirectories into different classes suitable for grouping.

### Usage

    xcmsSet(files = NULL, snames = NULL, sclass = NULL, phenoData = NULL,
            profmethod = "bin", profparam = list(),
            polarity = NULL, nSlaves=0, ...)

### Arguments

`files` | path names of the NetCDF/mzXML files to read
`snames` | sample names
`sclass` | sample classes
`phenoData` | sample names and classes
`profmethod` | method to use for profile generation
`profparam` | parameters to use for profile generation
`polarity` | filter raw data for positive/negative scans
`nSlaves` | number of MPI-slaves to use for parallel peak detection, works only if `Rmpi` is installed properly, see `xcmsPapply`.
`...` | further arguments to the `findPeaks` method of the `xcmsRaw` class

### Details

The default values of the `files`, `snames`, `sclass`, and `phenoData` arguments cause the function to recursively search for readable files. The filename without extention is used for the sample name. The subdirectory path is used for the sample class. If the files contain both positive and negative spectra, the polarity can be selected explicitely. The default (NULL) is to read all scans.

### Value

A `xcmsSet` object.

### Author(s)

Colin A. Smith, csmith@scripps.edu

### See Also

`xcmsSet-class`, `findPeaks`, `profStep`, `profMethod`

[Package xcms version 1.16.3 Index]